# OgreHardwarePixelBuffer.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreHardwareBuffer.h"`
`#include "OgreSharedPtr.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreImage.h"`

Go to the source code of this file.

## Classes

class | Ogre::HardwarePixelBuffer
| Specialisation of HardwareBuffer for a pixel buffer. More...
class | Ogre::HardwarePixelBufferSharedPtr
| Shared pointer implementation used to share pixel buffers. More...

## Namespaces

namespace | Ogre

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52